### Method

# EDataCal DataCal respond_get_free_busy

since: 3.2

#### Declaration [src]

    void
    e_data_cal_respond_get_free_busy (
      EDataCal* cal,
      guint32 opid,
      GError* error,
      const GSList* freebusy
    )

#### Description [src]

Notifies listeners of the completion of the get_free_busy method call. To pass actual free/busy objects to the client asynchronously use e_data_cal_report_free_busy_data(), but the `freebusy` should contain all the objects being used in e_data_cal_report_free_busy_data().

Available since: 3.2

#### Parameters

`opid`

  Type: `guint32`

  Associated operation id.

`error`

  Type: `GError`

  Operation error, if any, automatically freed if passed it.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`freebusy`

  Type: A list of `utf8`

  A `GSList` of iCalendar strings with all gathered free/busy components.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.